# GimpUi.ChainButton.new

    function new(position: GimpUi.ChainPosition): Gtk.Widget {
        // Gjs wrapper for gimp_chain_button_new()
    }

Creates a new GimpUi.ChainButton widget.

This returns a button showing either a broken or a linked chain and small clamps attached to both sides that visually group the two widgets you want to connect. This widget looks best when attached to a grid taking up two columns (or rows respectively) next to the widgets that it is supposed to connect. It may work for more than two widgets, but the look is optimized for two.

position

  The position you are going to use for the button with respect to the widgets you want to chain.

Returns

  Pointer to the new GimpUi.ChainButton, which is inactive by default. Use GimpUi.ChainButton.prototype.set_active to change its state.